<script>
import SaveBtn from "@components/utils/save-btn";

export default {
  name: "TimelineForm",
  components: { SaveBtn },
  props : {
    type : '',
    timeline : null,
    update_mode : null,
    base_url : null
  },
  methods : {
    submit() {
      this.$emit( this.update_mode ? 'update' : 'create', this.timeline )
    },
    hide() {
      this.$emit( 'hide' )
    }
  }
}
</script>

<template>
  <form @submit.prevent="submit">
    <div class="row">
      <div class="col-md-6">
        <b-form-group label="Nom de poste" label-for="name">
          <b-form-input v-model="timeline.name" required id="name"></b-form-input>
        </b-form-group>
      </div>
      <div class="col-md-6">
        <b-form-group label="Description" label-for="description">
          <b-form-input v-model="timeline.description" id="description"></b-form-input>
        </b-form-group>
      </div>
    </div>
    <div class="row">
      <div class="col-md-6">
        <b-form-group label="Date de début" label-for="start_at">
          <b-form-datepicker id="start_at" required v-model="timeline.start_at" class="mb-2"></b-form-datepicker>
        </b-form-group>
      </div>
      <div class="col-md-6">
        <div class="form-group">
          <b-form-group label="Date de fin" label-for="end_at">
            <b-form-datepicker id="end_at" v-model="timeline.end_at" class="mb-2"></b-form-datepicker>
          </b-form-group>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-6">
        <b-form-group v-if="this.type === 'experiences'" label="Entreprise" label-for="company">
          <b-form-input v-model="timeline.company" id="company"></b-form-input>
        </b-form-group>
        <b-form-group v-else label="Ecole" label-for="school">
          <b-form-input v-model="timeline.school" id="school"></b-form-input>
        </b-form-group>
      </div>
      <div class="col-md-6">
        <b-form-group label="Ville" label-for="city">
          <b-form-input v-model="timeline.city" id="city"></b-form-input>
        </b-form-group>
      </div>
    </div>
    <button @click="hide" type="submit" class="btn btn-secondary float-left waves-effect waves-light mt-2">Annulé</button>
    <save-btn></save-btn>
  </form>
</template>
